org.springframework.batch.sample.launch

## Class DefaultJobLoader

- java.lang.Object
- - org.springframework.batch.sample.launch.DefaultJobLoader

- All Implemented Interfaces:
    JobLoader, org.springframework.beans.factory.Aware, org.springframework.context.ApplicationContextAware

      public class DefaultJobLoader
      extends java.lang.Object
      implements JobLoader, org.springframework.context.ApplicationContextAware

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultJobLoader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<java.lang.String,java.lang.String>` | `getConfigurations()`
    `java.lang.Object` | `getJobConfiguration(java.lang.String name)`
    `java.lang.Object` | `getProperty(java.lang.String path)`
    `void` | `loadResource(java.lang.String path)`
    `void` | `setApplicationContext(org.springframework.context.ApplicationContext applicationContext)`
    `void` | `setProperty(java.lang.String path, java.lang.String value)`
    `void` | `setRegistry(ListableJobLocator registry)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultJobLoader

          public DefaultJobLoader()

  - ### Method Detail

    - #### setApplicationContext

          public void setApplicationContext(org.springframework.context.ApplicationContext applicationContext)
                                     throws org.springframework.beans.BeansException

      Specified by:
        `setApplicationContext` in interface `org.springframework.context.ApplicationContextAware`
      Throws:
        `org.springframework.beans.BeansException`

    - #### setRegistry

          public void setRegistry(ListableJobLocator registry)

    - #### getConfigurations

          public java.util.Map<java.lang.String,java.lang.String> getConfigurations()

      Specified by:
        `getConfigurations` in interface `JobLoader`

    - #### loadResource

          public void loadResource(java.lang.String path)

      Specified by:
        `loadResource` in interface `JobLoader`

    - #### getJobConfiguration

          public java.lang.Object getJobConfiguration(java.lang.String name)

      Specified by:
        `getJobConfiguration` in interface `JobLoader`

    - #### getProperty

          public java.lang.Object getProperty(java.lang.String path)

      Specified by:
        `getProperty` in interface `JobLoader`

    - #### setProperty

          public void setProperty(java.lang.String path,
                                  java.lang.String value)

      Specified by:
        `setProperty` in interface `JobLoader`